
#
# Patch managed by http://www.holgerschurig.de/patcher.html
#

--- coreutils-5.3.0/configure.ac~man
+++ coreutils-5.3.0/configure.ac
@@ -237,6 +237,20 @@
 AM_GNU_GETTEXT([external], [need-ngettext])
 AM_GNU_GETTEXT_VERSION(0.13.1)
 
+AC_MSG_CHECKING([whether to build man pages])
+AC_ARG_WITH(manpages, 
+	AS_HELP_STRING([--with-manpages],
+		[Enable building of manpages (default=yes)]),
+	[cu_cv_build_manpages=$enableval],
+	[cu_cv_build_manpages=yes])
+# help2man doesn't work when crosscompiling, as it needs to run the
+# binary that was built.
+if test x"$cross_compiling" = x"yes"; then
+  cu_cv_build_manpages=no
+fi
+AC_MSG_RESULT($cu_cv_build_manpages)
+AM_CONDITIONAL(ENABLE_MANPAGES, test x"$cu_cv_build_manpages" = x"yes")
+
 AC_CONFIG_FILES(
   Makefile
   doc/Makefile
--- coreutils-5.3.0/Makefile.am~man
+++ coreutils-5.3.0/Makefile.am
@@ -1,6 +1,11 @@
 ## Process this file with automake to produce Makefile.in -*-Makefile-*-
 
+if ENABLE_MANPAGES
 SUBDIRS = lib src doc man po tests
+else
+SUBDIRS = lib src doc po tests
+endif
+
 EXTRA_DIST = Makefile.cfg Makefile.maint GNUmakefile \
   .kludge-stamp .prev-version THANKS-to-translators THANKStt.in \
   .x-sc_space_tab .x-sc_sun_os_names \
